Répondre à la discussion
Affichage des résultats 1 à 18 sur 18

Problème vlc sous linux



  1. #1
    Brikkhe

    Problème vlc sous linux


    ------

    Salut tout le monde ! (et plus particulièrement overmind d'ailleurs ^^)

    Donc cette fois je le précise pour Yoda1234, je suis sous ubuntu.

    Donc bien j'ai un autre problème sous linux avec vlc, je ne peux pas l'installer via le menu applications>ajouter/enlever

    il me répond ca si je veux le faire via la console :

    anthony@pc-anthony:~$ sudo apt-get install vlc vlc-plugin-esd
    Lecture des listes de paquets... Fait
    Construction de l'arbre des dépendances
    Reading state information... Fait
    Certains paquets ne peuvent être installés. Ceci peut signifier
    que vous avez demandé l'impossible, ou bien, si vous utilisez
    la distribution unstable, que certains paquets n'ont pas encore
    été créés ou ne sont pas sortis d'Incoming.
    L'information suivante devrait vous aider à résoudre la situation :

    Les paquets suivants contiennent des dépendances non satisfaites :
    vlc: Dépend: libdbus-1-1 (>= 0.36.2) mais ne sera pas installé
    E: Paquets défectueux


    Quelqu'un peut m'aider ?
    Merci à tous !

    @+


    PS: Pour les intéréssés, d'autres problèmes suivront car il y en a d'autres encore.

    -----

  2. Publicité
  3. #2
    overmind

    Re : Problème vlc sous linux

    Tu as un repo "universe" dans tes sources?
    Sinon, tu peux toujours installer libdbus séparément et compiler VLC.

  4. #3
    Brikkhe

    Re : Problème vlc sous linux

    Heu dans mes sources... je n'ai pas de sources. J'utilise la commande dont ils parlent sur leur site : http://www.videolan.org/vlc/download-ubuntu.html
    sudo apt-get update
    et celle donnée dans le message précédent.

    Donc je n'ai aucun répertoire et donc pas de dossier universes normalement.

    Merci de te pencher également sur cet autre problème ! ^^

  5. #4
    overmind

    Re : Problème vlc sous linux

    Citation Envoyé par Brikkhe Voir le message
    Merci de te pencher également sur cet autre problème ! ^^
    NP
    Pour les sources, je parlais de celles de /etc/apt/sources.list cad le fichier contenant les URLs des serveurs sur lesquels apt télécharge les paquets.
    Chaque ligne de ce fichier pointe sur un repository (qui ne sont autres que des répertoires sur les serveurs précédents)
    Il faut donc t'assurer que ce fichier contient une ligne non commentée contenant "universe".

  6. A voir en vidéo sur Futura
  7. #5
    Brikkhe

    Re : Problème vlc sous linux

    C'est remoi avec un nouveau passage sous linux, le temps de faire quelques parametrages.

    Donc pour les lignes contenant "universe"...
    deb http://archive.ubuntu.com/ubuntu breezy universe multiverse
    deb-src http://archive.ubuntu.com/ubuntu breezy universe multiverse

    ## Security Updates
    deb http://security.ubuntu.com/ubuntu breezy-security main restricted
    deb-src http://security.ubuntu.com/ubuntu breezy-security main restricted

    deb http://security.ubuntu.com/ubuntu breezy-security universe multiverse
    deb-src http://security.ubuntu.com/ubuntu breezy-security universe multiverse
    C'est ca ?

    Merci !

  8. #6
    overmind

    Re : Problème vlc sous linux

    C'est ça, donc le problème ne vient pas de là...
    Tu as essayé la compilation depuis les sources (cette fois ci les vraies ) de VLC dispo sur leur site?

  9. Publicité
  10. #7
    Brikkhe

    Re : Problème vlc sous linux

    non, je vais essayer de suite

  11. #8
    Brikkhe

    Re : Problème vlc sous linux

    Non ba rien, ca ne marche pas.

  12. #9
    overmind

    Re : Problème vlc sous linux

    Et qu'est ce qui ne marche pas dans la compilation, poste l'erreur, ça doit pas être insurmontable...

  13. #10
    Brikkhe

    Re : Problème vlc sous linux

    Pour compiler, il faut executer le "INSTALL" ? (excuse moi, je galère un peu là ... :s )

    Merci.

  14. #11
    overmind

    Re : Problème vlc sous linux

    Negativ!

    Code:
    cd path_to_the_vlc_src_folder
    ./configure
    make && make install

  15. #12
    Brikkhe

    Re : Problème vlc sous linux

    Alors la 1ere ligne ne donne rien. J'ai cherché un eventuel dossier ressemblant à vlc~src... mais je n'ai rien trouvé.

    la 2e ca :
    checking build system type... i686-pc-linux-gnulibc1
    checking host system type... i686-pc-linux-gnulibc1
    checking target system type... i686-pc-linux-gnulibc1
    checking for a BSD-compatible install... /usr/bin/install -c
    checking whether build environment is sane... yes
    checking for gawk... no
    checking for mawk... mawk
    checking whether make sets $(MAKE)... yes
    checking whether to enable maintainer-specific portions of Makefiles... yes
    checking for gcc... gcc
    checking for C compiler default output file name... configure: error: C compiler cannot create executables
    See `config.log' for more details.
    et pour la 3e commande, j'ai ca :
    make: *** Pas de cibles spécifiées et aucun makefile n'a été trouvé. Arrêt.
    Merci à toi et dsl d'être un newbie linuxien.

  16. Publicité
  17. #13
    overmind

    Re : Problème vlc sous linux

    Tu m'a mal compris, le cd n'était que pour se placer dans le dossier des sources de VLC, ce que tu avait déjà fait, manifestement.

    Ensuite pour l'erreur de "make", il y a deux possiblilités:
    -soit il te manque un des éléments essentiels à la compilation
    - soit c'est le script configure qui n'est pas compatible avec ton environement de compilation.

    Je te propose de configurer une autre application, n'importe laquelle, par exemple une version de fileutils. Télécharge les source et fait juste un ./configure.
    Ceci devrait permettre de trancher.

  18. #14
    Brikkhe

    Re : Problème vlc sous linux

    Pour le cd, oui, je l'ai déjà fait, mais elle ne fonctionnait pas, je ne savais donc pas si tu voulais que je remplace le nom du fichier ou si tu voulais que je tape la commande telle quelle.

    Merci.

  19. #15
    yostral

    Re : Problème vlc sous linux

    Ca ne va pas t'aider directement, mais je vois dans ton sources.list que tu es sous Breezy ? Pourquoi pas une version plus récente ? Il y a la version LTS (Long Time Support) Dapper, et la toute dernière Edgy. Et y'a eu une sacré évolution depuis quand même.
    Quand tout le reste a échoué, lisez le mode d'emploi.

  20. #16
    Brikkhe

    Re : Problème vlc sous linux

    Heu... ba j'ai installé edgy eft, pas breezy
    Mais mon probleme n'est toujours pas résolu

    On m'a parlé de Gplayer (ou gmplayer ?) il est mieux que Vlc?

    Merci à toi quand même d'être passé ^^ et bonne soirée.

  21. #17
    traaf

    Re : Problème vlc sous linux

    pour compiler
    Code:
    sudo apt-get install build-essential
    pour installer les outils requis


    tu dois parler de MPlayer...
    perso j'utilise vlc le plus souvent
    et mplayer pour les fichiers récalcitrants et sa bonne intégration dans firefox

    que ce soit pour vlc ou mplayer, il te faut les dépots universe et multiverse
    http://doc.ubuntu-fr.org/applications/apt/depots

    ensuite les dépots PLF pour les codecs
    http://doc.ubuntu-fr.org/depots/plf/plf-fr

    et pas en version breezy, comme dans ton message
    si c'est vraiment le contenu de ton sources.list et que tu tournes sous edgy, remplace toutes les occurences breezy par edgy
    tes soucis de dépendances doivent provenir de là

    ensuite
    Code:
    sudo apt-get update
    suivi de
    Code:
    sudo apt-get install gstreamer0.10-plugins-bad gstreamer0.10-plugins-bad-multiverse gstreamer0.10-plugins-ugly gstreamer0.10-plugins-ugly-multiverse gstreamer0.10-ffmpeg gstreamer0.10-fluendo-mp3 gstreamer0.10-fluendo-mpegdemux gstreamer0.10-gl gstreamer0.10-pitfdll gstreamer0.8-plugins mplayer mozilla-mplayer soundconverter vlc w32codecs libdvdcss2
    pour pouvoir à peu pres tout lire

  22. #18
    Brikkhe

    Re : Problème vlc sous linux

    Haaaaa.....

    Merci d'une part pour le temps que tu m'as consacré (à lire et à rédiger ton post ) !
    Merci également car ca fonctionne !!

    J'ai changé des breezy par des edgy dans le sources.list et ca a fonctionné.

    J'ai installé en tapant cette commande : sudo apt-get install vlc vlc-plugin-esd
    Donc quand j'ai voulu essayer la dernière commande que tu m'as donné, ca n'a pas fonctionné, il m'a dit que j'avais un vlc plus récent. Je peux désinstaller et réinstaller avec ta commande pour avoir plus de compatibilité ?

    Encore un grand merci à vous tous .

  23. Publicité

Discussions similaires

  1. Problème Internet sous Linux (Ubuntu)
    Par LicenceXP dans le forum Logiciel - Software - Open Source
    Réponses: 13
    Dernier message: 13/04/2009, 22h33
  2. Petit problème sous linux
    Par Brikkhe dans le forum Logiciel - Software - Open Source
    Réponses: 8
    Dernier message: 19/11/2006, 16h08
  3. problème graphique sous linux
    Par Brikkhe dans le forum Logiciel - Software - Open Source
    Réponses: 9
    Dernier message: 30/10/2006, 11h42
  4. Problème de son sous Linux Mandriva 2006
    Par jozog47 dans le forum Logiciel - Software - Open Source
    Réponses: 22
    Dernier message: 19/05/2006, 15h19
  5. Problème de sauvegarde sous Linux.
    Par Antikhippe dans le forum Logiciel - Software - Open Source
    Réponses: 2
    Dernier message: 28/09/2004, 10h11
Découvrez nos comparatifs produits sur l'informatique et les technologies.